#
# spec file for package python-pyramid_jqm
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pyramid_jqm
Version:        0.3
Release:        1.105
Url:            http://docs.pylonsproject.org
Summary:        jQuery Mobile Pyramid application scaffolds
License:        BSD-4-Clause and ZPL-2.1 and MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/pyramid_jqm/pyramid_jqm-%{version}.tar.gz
Source1:        fetch-intersphinx-files.sh
Source2:        pyramid.inv
Requires:       python-pyramid >= 1.1.3
BuildRequires:  python-pyramid >= 1.1.3
# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRequires:  python-pylons_sphinx_theme
# Testing requirements:
BuildRequires:  python-nose
BuildRequires:  python-coverage

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
BuildRequires:  python-ordereddict
BuildRequires:  python-unittest2
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
pyramid_jqm is a package which provides "starter" scaffolding for creating a
jQuery Mobile Pyramid application.

See http://docs.pylonsproject.org/projects/pyramid_jqm/en/latest/ or -doc
package for detailed documentation.

%package doc
Summary:        jQuery Mobile Pyramid application scaffolds
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n pyramid_jqm-%{version}
# patch in local intersphinx file
sed -i "s|'\(.*\)', None|'\1', 'pyramid.inv'|g" docs/conf.py
cp %SOURCE2 docs/

%build
python setup.py build
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py nosetests --with-coverage

%files
%defattr(-,root,root,-)
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.rst
%{python_sitelib}/*

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html

%changelog
* Tue Aug  6 2013 hpj@urpla.net
- provide local intersphinx file
* Mon Aug  5 2013 hpj@urpla.net
- version 0.3: initial build
